// file: RecognizeBuilder.java
//

// import necessary java libraries
//
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.*;
import java.io.*;

public class RecognizeBuilder {

    // declare global variables
    //
    private static MainWindow mainWnd = null;

    // declare main program
    //
    public static void main(String[] args) {
	
	// create a vertex box panel(the main window)
	//
	mainWnd = new MainWindow("Recognize Builder");

	// listen for window closing events
	//
	mainWnd.config_box.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });

	// resize and set the frame dimensions
	//
	mainWnd.pack();

	// center the frame to the screen
	//
	Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize(); 
	Rectangle frameDim = mainWnd.getBounds(); 
	mainWnd.setLocation((screenDim.width - frameDim.width) / 2,
		    (screenDim.height - frameDim.height) / 2); 

	// display the frame
	//
	mainWnd.config_box.pack();
	mainWnd.config_box.setVisible(true);
	
	// perhaps do not allow this to ever become visible. add main menu to 
	// the dialog boxes of file level windows.
	//
	//mainWnd.setVisible(true);	

    }
} 

//
// end of file




